Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.cache.pojo
Class PojoCacheFactory

    java.lang.Object
      org.jboss.cache.pojo.PojoCacheFactory

    public class PojoCacheFactory

extends Object

Factory method to create a PojoCache instance.

Version:
  $Id: PojoCacheFactory.java 3429 2007-01-18 16:55:20Z msurtani $

Constructor Summary
`PojoCacheFactory()`

Method Summary
`static PojoCache` | `createCache(org.jboss.cache.config.Configuration config, boolean start)` Create a PojoCache instance.
`static PojoCache` | `createCache(String config)` Create a PojoCache instance.
`static PojoCache` | `createCache(String config, boolean start)` Create a PojoCache instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PojoCacheFactory

    public PojoCacheFactory()

Method Detail

### createCache

    public static PojoCache createCache(String config)

  Create a PojoCache instance. Note that this will start the cache life cycle automatically.

  Parameters:
    `config` - A configuration string that represents the file name that is used to setCache the underlying Cache instance.
  Returns:
    PojoCache

### createCache

    public static PojoCache createCache(String config,
                                        boolean start)

  Create a PojoCache instance.

  Parameters:
    `config` - A configuration string that represents the file name that is used to setCache the underlying Cache instance.
    `start` - If true, it will start the cache life cycle.
  Returns:
    PojoCache

### createCache

    public static PojoCache createCache(org.jboss.cache.config.Configuration config,
                                        boolean start)

  Create a PojoCache instance.

  Parameters:
    `config` - A configuration object that is used to setCache the underlying Cache instance.
    `start` - If true, it will start the cache life cycle.
  Returns:
    PojoCache

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 JBoss, a division of Red Hat. All Rights Reserved.